domains
	Producto = symbol.
predicates
	compra(Producto,Producto).
	nocompra(Producto,Producto).
	siemprecompra(Producto,Producto).
	siemprenocompra(Producto,Producto).
	nocompratotal(Producto,Producto).
	compratotal(Producto,Producto).
	
clauses
	compra(azucar,yerba).
	compra(cerveza,pan).
	compra(cerveza,mani).
	compra(cerveza,papitas).
	nocompra(yerba,te).
	nocompra(vino,cerveza).
	nocompra(azucar,edulcorante).
	nocompra(edulcorante,lecheentera).
	nocompra(azucar,lechedescremada).
	nocompra(mani,lechedescremada).

	siemprecompra(X,Y) :- compra(X,Y) or compra(Y,X).
	siemprenocompra(X,Y) :- nocompra(X,Y) or nocompra(Y,X).
		
	nocompratotal(X,Y) :- siemprenocompra(X,Y) or 
			      siemprecompra(X,Z) and siemprenocompra(Z,Y).
                   
	compratotal(X,Y) :- siemprecompra(X,Y).
